> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter pedido

> Detalhe completo do pedido: valores, método de pagamento, comprador e estado atual.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/orders/{id}
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/orders/{id}:
    get:
      tags:
        - Clientes e Pedidos
      summary: Obter pedido
      description: >-
        Detalhe completo do pedido: valores, método de pagamento, comprador e
        estado atual.
      operationId: getCommerceOrder
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - amountMinor
                  - bumps
                  - buyerEmail
                  - buyerName
                  - buyerPhone
                  - clientReferenceId
                  - createdAt
                  - currency
                  - customerId
                  - disputes
                  - financials
                  - id
                  - mainAmountMinor
                  - offerId
                  - offerName
                  - paidAt
                  - paymentAttempts
                  - paymentIntentId
                  - paymentMethod
                  - productId
                  - productName
                  - refundEligibility
                  - refunds
                  - status
                  - timeline
                  - updatedAt
                properties:
                  trackingParameters:
                    type: object
                    additionalProperties: false
                    required:
                      - src
                      - sck
                      - utm_source
                      - utm_medium
                      - utm_campaign
                      - utm_content
                      - utm_term
                    properties:
                      src:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      sck:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      utm_source:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      utm_medium:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      utm_campaign:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      utm_content:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                      utm_term:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 200
                          - type: 'null'
                  disputes:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amountMinor
                        - financialEffectStatus
                        - id
                        - kind
                        - openedAt
                        - providerDeadlineAt
                        - resolvedAt
                        - status
                      properties:
                        amountMinor:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        financialEffectStatus:
                          type: string
                        id:
                          type: string
                          format: uuid
                        kind:
                          type: string
                          enum:
                            - CARD_CHARGEBACK
                            - PIX_MED
                        openedAt:
                          type: string
                          format: date-time
                        providerDeadlineAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        resolvedAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        status:
                          type: string
                  financials:
                    type: object
                    additionalProperties: false
                    required:
                      - feeAmountMinor
                      - feeFixedAmountMinor
                      - feePercentageBps
                      - netAmountMinor
                      - refundedAmountMinor
                      - refundingAmountMinor
                    properties:
                      feeAmountMinor:
                        anyOf:
                          - type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                      feeFixedAmountMinor:
                        anyOf:
                          - type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                      feePercentageBps:
                        anyOf:
                          - type: integer
                            minimum: 0
                            maximum: 10000
                          - type: 'null'
                      netAmountMinor:
                        anyOf:
                          - type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          - type: 'null'
                      refundedAmountMinor:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      refundingAmountMinor:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                  mainAmountMinor:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                  paidAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  paymentIntentId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  refundEligibility:
                    type: object
                    additionalProperties: false
                    required:
                      - code
                      - eligible
                      - expiresAt
                      - refundWindowDays
                      - refundableAmountMinor
                    properties:
                      code:
                        type: string
                        enum:
                          - ELIGIBLE
                          - FULLY_REFUNDED
                          - NOT_PAID
                          - REFUND_IN_PROGRESS
                          - WINDOW_EXPIRED
                      eligible:
                        type: boolean
                      expiresAt:
                        anyOf:
                          - type: string
                            format: date-time
                          - type: 'null'
                      refundWindowDays:
                        type: integer
                        minimum: 7
                        maximum: 90
                      refundableAmountMinor:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                  refunds:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amount
                        - approvalMode
                        - blockedBy
                        - currency
                        - evidenceCount
                        - id
                        - initiator
                        - invoiceId
                        - merchantDecision
                        - merchantReviewDeadlineAt
                        - orderId
                        - paymentIntentId
                        - paymentPaidAt
                        - provider
                        - reason
                        - refundWindow
                        - requestedAt
                        - status
                        - updatedAt
                      properties:
                        amount:
                          type: integer
                          minimum: 1
                          maximum: 9007199254740991
                        approvalMode:
                          anyOf:
                            - type: string
                              enum:
                                - INSTANT
                                - OPERATIONS
                                - RISK_POLICY
                            - type: 'null'
                        blockedBy:
                          type: array
                          items:
                            type: string
                            enum:
                              - INSUFFICIENT_AVAILABLE_BALANCE
                              - KYC_NOT_APPROVED
                              - MERCHANT_NOT_ACTIVE
                              - PAYMENT_DISPUTED
                              - PAYMENT_NOT_LIVE
                              - REFUND_FREQUENCY_24H
                              - REFUND_VOLUME_24H
                        currency:
                          type: string
                          enum:
                            - BRL
                        evidenceCount:
                          type: integer
                          minimum: 0
                        id:
                          type: string
                          format: uuid
                        initiator:
                          type: string
                          enum:
                            - CUSTOMER
                            - MERCHANT
                        invoiceId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        merchantDecision:
                          anyOf:
                            - type: object
                              additionalProperties: false
                              required:
                                - decidedAt
                                - decision
                                - reason
                              properties:
                                decidedAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                    - type: 'null'
                                decision:
                                  type: string
                                  enum:
                                    - APPROVED
                                    - CONTESTED
                                    - EXPIRED
                                reason:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                            - type: 'null'
                        merchantReviewDeadlineAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        orderId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        paymentIntentId:
                          type: string
                          format: uuid
                        paymentPaidAt:
                          anyOf:
                            - type: string
                              format: date-time
                            - type: 'null'
                        provider:
                          anyOf:
                            - type: object
                              additionalProperties: false
                              required:
                                - refundId
                                - submissionStatus
                                - submittedAt
                              properties:
                                refundId:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                submissionStatus:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                submittedAt:
                                  anyOf:
                                    - type: string
                                      format: date-time
                                    - type: 'null'
                            - type: 'null'
                        reason:
                          type: string
                        refundWindow:
                          anyOf:
                            - type: object
                              additionalProperties: false
                              required:
                                - days
                                - expiresAt
                              properties:
                                days:
                                  type: integer
                                  minimum: 7
                                  maximum: 90
                                expiresAt:
                                  type: string
                                  format: date-time
                            - type: 'null'
                        requestedAt:
                          type: string
                          format: date-time
                        status:
                          type: string
                          enum:
                            - MERCHANT_REVIEW
                            - KORBIT_REVIEW
                            - APPROVED_FOR_EXECUTION
                            - FUNDING_REQUIRED
                            - PROCESSING
                            - SUCCEEDED
                            - FAILED
                            - CANCELED
                            - REJECTED
                        updatedAt:
                          type: string
                          format: date-time
                  timeline:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amountMinor
                        - at
                        - disputeId
                        - refundCaseId
                        - type
                      properties:
                        amountMinor:
                          anyOf:
                            - type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            - type: 'null'
                        at:
                          type: string
                          format: date-time
                        disputeId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        refundCaseId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        type:
                          type: string
                          enum:
                            - ORDER_CREATED
                            - PAYMENT_CONFIRMED
                            - ORDER_CANCELED
                            - ORDER_EXPIRED
                            - REFUND_REQUESTED
                            - REFUND_MERCHANT_APPROVED
                            - REFUND_CONTESTED
                            - REFUND_REVIEW_ESCALATED
                            - REFUND_APPROVED
                            - REFUND_REJECTED
                            - REFUND_FUNDING_REQUIRED
                            - REFUND_PROCESSING
                            - REFUND_SUCCEEDED
                            - REFUND_FAILED
                            - REFUND_UPDATED
                            - DISPUTE_OPENED
                            - DISPUTE_RESOLVED
                  amountMinor:
                    type: integer
                    minimum: 1
                    maximum: 9007199254740991
                  bumps:
                    type: array
                    maxItems: 3
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - amountMinor
                        - offerId
                        - offerName
                        - productName
                      properties:
                        amountMinor:
                          type: integer
                          minimum: 1
                          maximum: 9007199254740991
                        offerId:
                          type: string
                          format: uuid
                        offerName:
                          type: string
                          minLength: 1
                          maxLength: 200
                        productName:
                          type: string
                          minLength: 1
                          maxLength: 200
                  buyerEmail:
                    type: string
                    format: email
                    maxLength: 320
                  buyerName:
                    anyOf:
                      - type: string
                        maxLength: 200
                      - type: 'null'
                  buyerPhone:
                    anyOf:
                      - type: string
                        maxLength: 32
                      - type: 'null'
                  clientReferenceId:
                    anyOf:
                      - type: string
                        maxLength: 128
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  currency:
                    type: string
                    enum:
                      - BRL
                  customerId:
                    type: string
                    format: uuid
                  id:
                    type: string
                    format: uuid
                  offerId:
                    type: string
                    format: uuid
                  offerName:
                    type: string
                    minLength: 1
                    maxLength: 120
                  paymentAttempts:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      required:
                        - createdAt
                        - paymentIntentId
                        - paymentMethod
                        - sequence
                        - status
                      properties:
                        createdAt:
                          type: string
                          format: date-time
                        paymentIntentId:
                          anyOf:
                            - type: string
                              format: uuid
                            - type: 'null'
                        paymentMethod:
                          type: string
                          enum:
                            - PIX
                            - CARD
                        sequence:
                          type: integer
                          minimum: 1
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - CREATED
                                - PROCESSING
                                - REQUIRES_ACTION
                                - SUCCEEDED
                                - FAILED
                                - CANCELED
                                - EXPIRED
                            - type: 'null'
                  paymentMethod:
                    type: string
                    enum:
                      - PIX
                      - CARD
                  productId:
                    type: string
                    format: uuid
                  productName:
                    type: string
                    minLength: 1
                    maxLength: 120
                  status:
                    type: string
                    enum:
                      - PAYMENT_PENDING
                      - AWAITING_PAYMENT
                      - PAID
                      - PAYMENT_FAILED
                      - CANCELED
                      - EXPIRED
                  updatedAt:
                    type: string
                    format: date-time
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.